kumquat-buildroot/package/dhcp/S80dhcp-server
Thomas Petazzoni a118f32e9a dhcp: misc improvements to S80dhcp-server
This commit does misc improvements to the S80dhcp-server init script:

 - Use more variables: NAME, DAEMON, CFG_FILE

 - Read the configuration file in /etc/default/ in a more usual way
   (as done in S21rngd for example)

 - Remove leftover dhcpd3 string in the stopping action.

Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
2015-12-24 14:54:01 +01:00

49 lines
1.1 KiB
Bash
Executable File

#!/bin/sh
#
# $Id: dhcp3-server.init.d,v 1.4 2003/07/13 19:12:41 mdz Exp $
#
# On what interfaces should the DHCP server (dhcpd) serve DHCP requests?
# Separate multiple interfaces with spaces, e.g. "eth0 eth1".
INTERFACES=""
NAME="dhcpd"
DAEMON="/usr/sbin/${NAME}"
CFG_FILE="/etc/default/${NAME}"
# Read configuration variable file if it is present
[ -r "${CFG_FILE}" ] && . "${CFG_FILE}"
# Sanity checks
test -f /usr/sbin/dhcpd || exit 0
test -f /etc/dhcp/dhcpd.conf || exit 0
test -n "$INTERFACES" || exit 0
case "$1" in
start)
printf "Starting DHCP server: "
test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
start-stop-daemon -S -x ${DAEMON} -- -q $INTERFACES
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping DHCP server: "
start-stop-daemon -K -x ${DAEMON}
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart | force-reload)
$0 stop
sleep 2
$0 start
if [ "$?" != "0" ]; then
exit 1
fi
;;
*)
echo "Usage: /etc/init.d/dhcp-server {start|stop|restart|force-reload}"
exit 1
esac
exit 0